3

When I try to execute a Grass 7 algorithm via the Processing Toolbox in QGIS 2.10, 2.8.2 or 2.8.1, I get the following error:

Missing dependency. This algorithm cannot be run :-(

QGIS erroneously claims Grass 7 is not installed, but it was working fine a few months ago. I'm on Ubuntu 14.04.

I installed Grass 7.0.0-1~exp2~trusty3 on my desktop and laptop using the UbuntuGIS Unstable PPA. I installed QGIS 2.10.0 (desktop) and 2.8.2 (laptop) using the software repositories published on the QGIS website.

In an effort to track down the problem, I downgraded my laptop from QGIS 2.8.2 to 2.8.1 using the UbuntuGIS Unstable PPA; the same PPA that provides Grass 7. However, I still get the same error. So I suspect problem is with Grass 7.0.0-1~exp2~trusty3 that was compiled at the end of March.

For a time a few months ago I had Grass 6 and 7 installed along side each other, I was able to access both via Processing in QGIS. Grass 6 is no longer available in the UbuntuGIS Unstable PPA, so downgrading Grass 7 may be impossible.

Does anyone have a fix for this or are you experiencing the same problem?

  • same problem here, but no solution so far. Could you maybe post the complete set of repositories you used to install QGIS? – Bernd V. Jul 18 '15 at 9:21
  • Indeed, that error message is rather unhelpful since we don't know what the program tried... – markusN Jul 30 '15 at 10:39
4

The problem has a few days ago been solved in QGIS master. I have prepared a patch for QGIS 2.10 but I hope that the QGIS developers will backport it. Since only Python changes are involved, an existing installation can now be easily fixed without having to reinstall everything.

  • I'm seeing this issue on a freshly installed 2.10.1 (ubuntu 14.04) from the qgis debian repos. Has this been fixed alredy or there is something wrong on my side? – plablo09 Aug 28 '15 at 0:35
  • To my knowledge you need to wait for a more recent version. – markusN Aug 28 '15 at 7:56
  • For the record: when you now update the Python plugins, you'll receive a working "Processing"... – markusN Oct 5 '15 at 21:33
  • I tried updating the Python plugins and still got the same message. Then I completely removed Qgis and grass and reinstalled from the Qgis repos, now I have a working Processing but no grass algorithms! – plablo09 Oct 6 '15 at 22:44
  • You need to reactivate it in the lower right corner and change "Simple" to "Advanced interface" (I suppose) – markusN Oct 9 '15 at 13:43

Your Answer

By clicking “Post Your Answer”, you agree to our terms of service, privacy policy and cookie policy

Not the answer you're looking for? Browse other questions tagged or ask your own question.